import request from '@/utils/request'
	
/**
 * @Descripttion: 店铺Api接口
 * @version: (1.0)
 * @Author: (黎文豪)
 * @Date: (2023-06-09)
 * @LastEditors: (黎文豪)
 * @LastEditTime: (2023-06-09)
*/

// 店铺分页查询列表
export function shopList(query) {
  return request({
    url: '/business/Shop/getShopList',
    method: 'get',
    params: query
  })
}

// 获取未绑定的用户列表
export function getUserWithOutBindList(query) {
  return request({
    url: '/business/Shop/getUserWithOutBindList',
    method: 'get',
    params: query
  })
}

// 获取未绑定的客户列表
export function getCustomerWithOutBindList(query) {
  return request({
    url: '/business/Shop/getCustomerWithOutBindList',
    method: 'get',
    params: query
  })
}

// 获取经营类目列表（一级类目）
export function getFirstGoodsCategoryList(query) {
  return request({
    url: '/business/Shop/getFirstGoodsCategoryList',
    method: 'get',
    params: query
  })
}

// 店铺新增或修改
export function addOrUpdateShop(data) {
  return request({
    url: '/business/Shop/addOrUpdateShop',
    method: 'post',
    data: data,
  })
}

// 店铺删除
export function delShop(ids) {
  return request({
    url: '/business/Shop/'+ ids,
    method: 'delete'
  })
}

// 店铺导出
export function exportShop(query) {
  return request({
    url: 'business/Shop/exportShop',
    method: 'get',
    params: query
  })
}

// 店铺审核
export function audit(data) {
  return request({
    url: 'business/Shop/audit',
    method: 'put',
    data: data
  })
}


